Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.def
Class Task

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.taskmgmt.def.Task

All Implemented Interfaces:
  java.io.Serializable

    public class Task

extends GraphElement

defines a task and how the actor must be calculated at runtime.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `actorIdExpression`
`protected Delegation` | `assignmentDelegation`
`protected java.lang.String` | `condition`
`protected java.lang.String` | `dueDate`
`protected boolean` | `isBlocking`
`protected boolean` | `isSignalling`
`protected java.lang.String` | `pooledActorsExpression`
`protected int` | `priority`
`static int` | `PRIORITY_HIGH`
`static int` | `PRIORITY_HIGHEST`
`static int` | `PRIORITY_LOW`
`static int` | `PRIORITY_LOWEST`
`static int` | `PRIORITY_NORMAL`
`protected StartState` | `startState`
`protected Swimlane` | `swimlane`
`protected TaskController` | `taskController`
`protected TaskMgmtDefinition` | `taskMgmtDefinition`
`protected TaskNode` | `taskNode`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`Task()`
`Task(java.lang.String name)`

Method Summary
`java.lang.String` | `getActorIdExpression()`
`Delegation` | `getAssignmentDelegation()`
`java.lang.String` | `getCondition()`
`java.lang.String` | `getDueDate()`
`GraphElement` | `getParent()`
`java.lang.String` | `getPooledActorsExpression()`
`int` | `getPriority()`
`StartState` | `getStartState()`
`java.lang.String[]` | `getSupportedEventTypes()` indicative set of event types supported by this graph element.
`Swimlane` | `getSwimlane()`
`TaskController` | `getTaskController()`
`TaskMgmtDefinition` | `getTaskMgmtDefinition()`
`TaskNode` | `getTaskNode()`
`boolean` | `isBlocking()`
`boolean` | `isSignalling()`
`static int` | `parsePriority(java.lang.String priorityText)`
`void` | `setActorIdExpression(java.lang.String actorIdExpression)` sets the actorId expression.
`void` | `setAssignmentDelegation(Delegation assignmentDelegation)` sets the swimlane.
`void` | `setBlocking(boolean isBlocking)`
`void` | `setCondition(java.lang.String condition)`
`void` | `setDueDate(java.lang.String duedate)`
`void` | `setPooledActorsExpression(java.lang.String pooledActorsExpression)` sets the actorId expression.
`void` | `setPriority(int priority)`
`void` | `setSignalling(boolean isSignalling)`
`void` | `setStartState(StartState startState)`
`void` | `setSwimlane(Swimlane swimlane)` sets the swimlane unidirectionally.
`void` | `setTaskController(TaskController taskController)`
`void` | `setTaskMgmtDefinition(TaskMgmtDefinition taskMgmtDefinition)` sets the taskMgmtDefinition unidirectionally.
`void` | `setTaskNode(TaskNode taskNode)` sets the taskNode unidirectionally.

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, getProcessDefinition, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setName, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRIORITY_HIGHEST

    public static final int PRIORITY_HIGHEST

See Also:
  Constant Field Values

### PRIORITY_HIGH

    public static final int PRIORITY_HIGH

See Also:
  Constant Field Values

### PRIORITY_NORMAL

    public static final int PRIORITY_NORMAL

See Also:
  Constant Field Values

### PRIORITY_LOW

    public static final int PRIORITY_LOW

See Also:
  Constant Field Values

### PRIORITY_LOWEST

    public static final int PRIORITY_LOWEST

See Also:
  Constant Field Values

### isBlocking

    protected boolean isBlocking

### isSignalling

    protected boolean isSignalling

### condition

    protected java.lang.String condition

### dueDate

    protected java.lang.String dueDate

### priority

    protected int priority

### taskNode

    protected TaskNode taskNode

### startState

    protected StartState startState

### taskMgmtDefinition

    protected TaskMgmtDefinition taskMgmtDefinition

### swimlane

    protected Swimlane swimlane

### actorIdExpression

    protected java.lang.String actorIdExpression

### pooledActorsExpression

    protected java.lang.String pooledActorsExpression

### assignmentDelegation

    protected Delegation assignmentDelegation

### taskController

    protected TaskController taskController

Constructor Detail

### Task

    public Task()

### Task

    public Task(java.lang.String name)

Method Detail

### parsePriority

    public static int parsePriority(java.lang.String priorityText)

### getSupportedEventTypes

    public java.lang.String[] getSupportedEventTypes()

  Description copied from class: `GraphElement`
  indicative set of event types supported by this graph element. this is currently only used by the process designer to know which event types to show on a given graph element. in process definitions and at runtime, there are no contstraints on the event-types.

  Specified by:
    `getSupportedEventTypes` in class `GraphElement`

### setTaskNode

    public void setTaskNode(TaskNode taskNode)

  sets the taskNode unidirectionally. use `TaskNode.addTask(Task)` to create a bidirectional relation.

### setTaskMgmtDefinition

    public void setTaskMgmtDefinition(TaskMgmtDefinition taskMgmtDefinition)

  sets the taskMgmtDefinition unidirectionally. use TaskMgmtDefinition.addTask to create a bidirectional relation.

### setAssignmentDelegation

    public void setAssignmentDelegation(Delegation assignmentDelegation)

  sets the swimlane. Since a task can have max one of swimlane or assignmentHandler, this method removes the swimlane if it is set.

### setActorIdExpression

    public void setActorIdExpression(java.lang.String actorIdExpression)

  sets the actorId expression. The assignmentExpression is a JSF-like expression to perform assignment. Since a task can have max one of swimlane or assignmentHandler, this method removes the swimlane and assignmentDelegation if it is set.

### setPooledActorsExpression

    public void setPooledActorsExpression(java.lang.String pooledActorsExpression)

  sets the actorId expression. The assignmentExpression is a JSF-like expression to perform assignment. Since a task can have max one of swimlane or assignmentHandler, this method removes the other forms of assignment.

### setSwimlane

    public void setSwimlane(Swimlane swimlane)

  sets the swimlane unidirectionally. Since a task can have max one of swimlane or assignmentHandler, this method removes the assignmentHandler and assignmentExpression if one of those isset. To create a bidirectional relation, use `Swimlane.addTask(Task)`.

### getParent

    public GraphElement getParent()

  Overrides:
    `getParent` in class `GraphElement`

### getTaskMgmtDefinition

    public TaskMgmtDefinition getTaskMgmtDefinition()

### getSwimlane

    public Swimlane getSwimlane()

### isBlocking

    public boolean isBlocking()

### setBlocking

    public void setBlocking(boolean isBlocking)

### getTaskNode

    public TaskNode getTaskNode()

### getActorIdExpression

    public java.lang.String getActorIdExpression()

### getPooledActorsExpression

    public java.lang.String getPooledActorsExpression()

### getAssignmentDelegation

    public Delegation getAssignmentDelegation()

### getDueDate

    public java.lang.String getDueDate()

### setDueDate

    public void setDueDate(java.lang.String duedate)

### getTaskController

    public TaskController getTaskController()

### setTaskController

    public void setTaskController(TaskController taskController)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getStartState

    public StartState getStartState()

### setStartState

    public void setStartState(StartState startState)

### isSignalling

    public boolean isSignalling()

### setSignalling

    public void setSignalling(boolean isSignalling)

### getCondition

    public java.lang.String getCondition()

### setCondition

    public void setCondition(java.lang.String condition)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD